#!/bin/bash
#
# this script takes a simulation from QmSim, takes the last 5000 individuals genotyped,
# selects its performances as Training and Validation, and runs GS3
#
DIR=r_ex_zuzu
nongenotyped=27000 # from 28800i
	# last 8800 animals are kept from 28800
	if  [[ ! -e  "p1_mark_001.uga" ]] ; then
		./QmSim2uga.awk -v nongenotyped=$nongenotyped $DIR/p1_mrk_001.txt > p1_mark_001.uga
	fi
	# retain MAF>0.01
	 echo -e "p1_mark_001.uga \n 0.01" | ~/save/progs/filter_maf
	# there is no need to split the genotype file, only the phenotype
	# training; drop missing values, change sex to 1/2
	awk 'NR>1 && $1<=28000 && $10!="---" '  $DIR/p1_data_001.txt | sed 's/F/1/g; s/M/2/g' > p1_data_T.txt 
	# validation; drop missing values, change sex to 1/2
	awk 'NR>1 && $1>28000              && $10!="---" '  $DIR/p1_data_001.txt | sed 's/F/1/g; s/M/2/g' > p1_data_V.txt
	# now run GS3
	# BLUP_SNP
	~/save/GS3/gs3 p1.par
	# quality of the predictions?
	~/save/GS3/gs3 p1.predict > blup_snp.predict
	# Bayesian Lasso
	~/save/GS3/gs3 p1.BL.par
	~/save/GS3/gs3 p1.BL.predict > BL.predict

	# this is for the single step
	awk '{print $1,$1}' p1_mark_001.uga >p1_mark_001.uga_XrefID
	# generate pedigree
	awk 'NR>1 {print $1,$2,$3}' $DIR/p1_mrk_001.txt > p1_mark_001.ped


	
