#!/bin/bash
#
# this script takes a simulation from QmSim, takes the last 5000 individuals genotyped,
# selects its performances as Training and Validation, and runs GS3
#
DIR=r_GenRes_example
nongenotyped=27000 # from 28800
# last 1800 animals are kept from 28800
./QmSim2uga.awk -v nongenotyped=$nongenotyped $DIR/p1_mrk_001.txt > p1_mark_001.uga
# retain MAF>0.01
 echo -e "p1_mark_001.uga \n 0.01" | ../../mice_cours/progs/filter_maf
# there is no need to split the genotype file, only the phenotype
# training; drop missing values, change sex to 1/2, take individuals with phenotype
awk 'NR>1 && $1>27000  && $10!="---" '  $DIR/p1_data_001.txt | sed 's/F/1/g; s/M/2/g' > p1_data_T.txt 
# validation; keep missing values (we have true BVs in the file), change sex to 1/2, change missing to 0
awk 'NR>1 && $1>27000  && $10=="---" {$10=0; print $0}'  $DIR/p1_data_001.txt | sed 's/F/1/g; s/M/2/g' > p1_data_V.txt
# generate pedigree
awk 'NR>1 {print $1,$2,$3}' $DIR/p1_mrk_001.txt > p1_mark_001.ped
